Subject: Re: bug#6227: Color isearch regexp submatches differently

From: Lennart Borgman <[email-masked]>
Date: Sun, 23 May 2010 12:04:50 +0200

On Sun, May 23, 2010 at 2:54 AM, Juri Linkov <[email-masked]> wrote:
>> Nice. So I suggest moving (and renaming) `reb-count-subexps' to
>> isearch.el and splitting off the marking of one overlay from
>> `reb-update-overlays' and moving that too to isearch.el (since
>> isearch.el) is probably always loaded for a normal Emacs user).
>
> I think `reb-update-overlays' should be completely rewritten
> for isearch.el.

You surely know this things much better than me, but is there any
reason to double the code? If it is rewritten why not let re-builder
share the same code?

> The only thing we need from re-builder.el are faces
> reb-match-1, reb-match-2, reb-match-3.  We should try
> using the existing faces for the same functionality.